{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}
Commerce Payments
Retrieve a payment
Read an object identified by objectId. By default, objectId refers to the internal object ID, but you can specify a unique property value using the idProperty query parameter. You can control the response content using the properties query parameter to include specific properties.
The access token received from the authorization server in the OAuth 2.0 flow.
Scopes
crm.objects.deals.read
crm.objects.subscriptions.read
crm.objects.services.read
crm.objects.tickets.sensitive.read
crm.objects.orders.read
crm.objects.listings.write
crm.objects.custom.read
crm.objects.companies.write
crm.objects.tasks.read
crm.objects.custom.sensitive.write.v2
crm.objects.custom.highly_sensitive.write.v2
crm.objects.companies.read
crm.objects.appointments.sensitive.read.v2
crm.objects.contacts.highly_sensitive.read.v2
crm.objects.tickets.highly_sensitive.read
crm.objects.companies.sensitive.read.v2
crm.objects.tickets.sensitive.write
media_bridge.read
crm.objects.deals.highly_sensitive.read.v2
crm.objects.contacts.highly_sensitive.write.v2
crm.objects.companies.highly_sensitive.read.v2
crm.objects.commercepayments.write
crm.objects.invoices.write
crm.objects.contacts.sensitive.write.v2
crm.objects.calls.read
crm.objects.users.write
crm.objects.meetings.read
crm.objects.custom.sensitive.read.v2
crm.objects.users.read
crm.objects.partner-services.read
crm.objects.orders.write
crm.objects.partner-services.write
crm.objects.appointments.write
crm.objects.projects.highly_sensitive.write
crm.objects.carts.write
crm.objects.tickets.highly_sensitive.write
crm.objects.commercepayments.read
crm.objects.products.write
crm.objects.feedback_submissions.read
crm.objects.services.write
crm.objects.subscriptions.write
crm.objects.deals.sensitive.write.v2
crm.objects.contacts.read
crm.objects.appointments.sensitive.write.v2
crm.objects.projects.highly_sensitive.read
crm.objects.invoices.read
crm.objects.custom.write
tickets.sensitive.v2
crm.objects.deals.write
e-commerce
crm.objects.appointments.read
crm.objects.projects.read
crm.objects.companies.sensitive.write.v2
crm.objects.companies.highly_sensitive.write.v2
crm.objects.deals.highly_sensitive.write.v2
crm.objects.custom.highly_sensitive.read.v2
crm.objects.goals.write
crm.objects.projects.sensitive.read
crm.objects.line_items.write
crm.objects.contacts.write
crm.objects.goals.read
crm.objects.line_items.read
crm.objects.partner-clients.write
crm.objects.projects.write
crm.objects.projects.sensitive.write
crm.objects.deals.sensitive.read.v2
crm.objects.quotes.write
tickets.highly_sensitive.v2
crm.objects.leads.read
crm.objects.leads.write
crm.objects.carts.read
crm.objects.emails.read
crm.objects.quotes.read
crm.objects.courses.write
crm.objects.partner-clients.read
crm.objects.notes.read
crm.objects.courses.read
crm.objects.listings.read
crm.objects.contacts.sensitive.read.v2
crm.objects.products.read
Path Parameters
commercePaymentId
string
required
Pattern: .+
Query Parameters
archived
boolean
default:false
Whether to return only results that have been archived.
associations
string[]
A comma separated list of object types to retrieve associated IDs for. If any of the specified associations do not exist, they will be ignored.
idProperty
string
The name of a property whose values are unique for this object type
properties
string[]
A comma separated list of the properties to be returned in the response. If any of the specified properties are not present on the requested object(s), they will be ignored.
propertiesWithHistory
string[]
A comma separated list of the properties to be returned along with their history of previous values. If any of the specified properties are not present on the requested object(s), they will be ignored.
Response
successful operation
Represents a CRM object along with its properties, timestamps, and a set of associated object IDs grouped by association type.
archived
boolean
required
Indicates whether this object has been archived. A boolean value.
createdAt
string<date-time>
required
The date and time when this object was created, in ISO 8601 format.
id
string
required
The unique identifier for this object.
properties
object
required
A map of property names to their current values for this object.
Show child attributes
updatedAt
string<date-time>
required
The date and time when this object was last updated, in ISO 8601 format.
archivedAt
string<date-time>
The date and time when this object was archived, in ISO 8601 format.
associations
object
A map of associated object types to their associated IDs.
Show child attributes
objectWriteTraceId
string
An identifier used for tracing the write operation that created or updated this object.
propertiesWithHistory
object
A map of property names to arrays containing the property's value and timestamp history.
Show child attributes
url
string
The URL of this object.
warnings
object[]
An array of warnings related to this object, each containing a category, message, and context.
Show child attributes
Last modified on November 16, 2026
Was this page helpful?
Assistant
Responses are generated using AI and may contain mistakes.